import { ListSortDirection } from "./ListSortDirection";
import { Base, Type } from "./type";
export declare class SortDescription extends Base {
    constructor(a: number, b: string);
    constructor(a: number, b: string, c: ListSortDirection);
    constructor(a: number, ..._rest: any[]);
    private a;
    private f;
    g: string;
    private c;
    d: ListSortDirection;
    equals(a: any): boolean;
    getHashCode(): number;
    h(): void;
    static $t: Type;
}
